#!/usr/bin/env node
import { defineComposerOptions, defineComposerConfig, generateComposerInfo, categories, defineComposerTests, defineComposerChecks, defineComposer } from '@svelte-compose/core';

var name = "@svelte-compose/storybook";
var version = "0.0.3";
var bin = "build/index.js";
var type = "module";
var license = "MIT";
var dependencies = {
	"@svelte-compose/core": "workspace:*"
};
var bugs = "https://github.com/svelte-compose/svelte-compose/issues";
var repository = {
	type: "git",
	url: "https://github.com/svelte-compose/svelte-compose/tree/main/projects/composers/storybook"
};
var keywords = [
	"storybook",
	"styling",
	"testing",
	"documentation",
	"storybook-svelte-csf",
	"svelte-csf",
	"svelte",
	"kit",
	"svelte-kit"
];
var pkg = {
	name: name,
	version: version,
	bin: bin,
	type: type,
	license: license,
	dependencies: dependencies,
	bugs: bugs,
	repository: repository,
	keywords: keywords
};

const options = defineComposerOptions({});

const composer = defineComposerConfig({
    metadata: {
        ...generateComposerInfo(pkg),
        name: "Storybook",
        description: "Build UIs without the grunt work",
        category: categories.styling,
        environments: { kit: true, svelte: true },
        website: {
            logo: "./storybook.svg",
            keywords: ["storybook", "styling", "testing", "documentation", "storybook-svelte-csf", "svelte-csf"],
            documentation: "https://storybook.js.org/docs/get-started",
        },
    },
    options,
    type: "external",
    command: "storybook init",
});

const tests = defineComposerTests({
    options,
    optionValues: [
        { useSass: false, addJavaScript: true },
        { useSass: true, addJavaScript: true },
    ],
    files: [],
    tests: [],
});

const checks = defineComposerChecks({
    options,
    postInstallation: [],
});

var index = defineComposer(composer, checks, tests);

export { index as default };
//# sourceMappingURL=index.js.map
